.visually-hidden {
	position: absolute !important;
	overflow: hidden;
	clip: rect(1px,1px,1px,1px);
	width: 1px;
	height: 1px;
	word-wrap: normal;
}

body, footer, header {
    margin : 0px;
}

body {
    padding : 0px;
    background-color: var(--p4-body-color);
    color : var(w--p4-font-color);
}

header {
    background-color: var(--header-bg-color);
    color : var(--header-text-color);
    position: sticky;
    transition: 0.5s;
    top : 0;
    z-index: 400;
}

.region-header {
 
    
    display: flex !important;
    justify-content: center !important;
    flex-wrap: wrap !important;
    width : 100%;
    

        
}

.p4-minimal-header {
    padding-top : 5px !important;
    padding-bottom: 5px !important;
}


.p4-minimal-header .p4-header-logo {
   
    width : var(--header-logo-width-minimal);
}

.p4-header-logo {
    transition: 1.0s;
    width : var(--header-logo-width);
}

header a {
    text-decoration: none;
    color : var(--header-link-color);
    font-size: var(--header-link-size);
    margin-right:30px;
}

header a:hover {
    color : var(--header-link-hover-color);
}

.p4-pill {
    border-radius: 50px;
    padding : var(--p4-pill-padding);
}

header .p4-pill {
    color : var(--header-link-hover-color);
    border : 1px solid var(--header-link-color);

}

header .p4-pill:hover {
    /* color : var(--header-link-color); */
    border : 1px solid var(--header-link-hover-color);
    outline: 1px solid var(--header-link-hover-color);
    /* background-color: var(--header-link-color); */
}

header nav ul {
    margin-bottom: 0px;
}

nav ul, .nav {
    display: flex;
  flex-wrap: wrap;
  list-style: none;
}
.nav-item {
    list-style: none;
    margin-left: 10px;
    margin-right: 10px;
}

.p4-menu-button {
 
    height : 2rem;
    border : 0;
    color : var(--color-4);
    background-color: #0000;
    display: none;
}

@media (max-width: 420px) {

    .p4-menu-button {
        margin-right: auto;
    }

}

.p4-menu-button svg {
    height : 2rem;
}

.p4-menu-button svg path {
    fill : var(--color-4);
}

@media (max-width : 1300px) {
    header a {
        margin-right: 10px;
    }
    .nav {margin-top:2em !important;}
}

@media (max-width: 980px) {
    .p4-main-menu:not(.show) {
        display: none;
    }
    .p4-menu-button { 
        display: inline;
    }
    header .nav-item {
        display: block;
        width:100%;
        /* background-color : var(--header-link-bg-color-mobile);         */
        margin : 0px;
        margin-bottom : 0.3rem;
        /* border-radius: 0.3rem; */
    }
    header .nav-item a {
        display: block;
        width:100%;
        padding : 0.4rem 1rem;
    }
    header .nav-item .p4-pill {
        border : 0;
        
    }
    header .p4-main-menu {
        padding : 0;
        margin : 0;
    }
}

.p4-text-hero {
    margin : 0px;    
    text-align: var(--p4-text-hero-align);
    color : var(--p4-text-hero-color);
    background-color: var(--p4-text-hero-bg-color);
}

.p4-text-hero .container {
    padding : var(--p4-text-hero-padding);
}

.p4-text-hero-prehead {
    font-size: var(--p4-text-hero-prehead-size);
}

.p4-text-hero-title {
    font-size: var(--p4-text-hero-title-size);
}


.p4-light-section {
    background: var(--p4-light-section-bg);
    padding : var(--p4-section-padding);    
}

.p4-light-section-narrow > .container{
    max-width: var(--p4-section-narrow);
}

@media (max-width: 768px) {

.p4-text-hero-prehead {
    font-size: var(--p4-text-hero-prehead-size-mobile);
}

.p4-text-hero-title {
    font-size: var(--p4-text-hero-title-size-mobile);
}
.p4-text-hero .container {
    padding : var(--p4-text-hero-padding-mobile);
}
  
}

.p4-card {
    background-color: var(--p4-card-bg-color);
    border-radius: var(--p4-card-border-radius);
    margin : var(--p4-card-margin);
    flex: 1 0 0;
    position: relative;
    display: flex;
    flex-direction: column;
    
}

.p4-card-dark {
    background-color: var(--p4-card-dark-bg-color);
    color : var(--p4-card-dark-color)   
}
.p4-card-dark .p4-card-body h2 {
     color: var(--p4-card-dark-headline-color);
}

.p4-card-image {
    width: 100%;
    height : 15rem;
    aspect-ratio: 16 / 9;
    object-fit: cover;
    border-radius: var(--p4-card-img-border-radius);
}

.p4-card-image-taller {
    height : 20rem;
}

.p4-card-body {
    padding : var(--p4-card-body-padding);
}

.p4-card-body a {
    color : var(--color-3);
}


.p4-card h2 {
    font-size : var(--p4-card-title-size);
    color : var(--p4-card-title-color);    
    margin: var(--p4-card-title-margin);
}

.p4-action-button {
    text-decoration: none;
    border-radius: 50px;
    padding : var(--p4-action-button-padding);
    color : var(--p4-action-button-color) !important;
    background-color: var(--p4-action-button-bg);
    display: inline-block;
    margin : 0.5rem 0;
    font-weight: var(--p4-action-button-font-weight);
}

.p4-action-button:hover {
    color : var(--p4-action-button-hover-color) !important;
}

.p4-action-button-light {
    color : var(--p4-action-button-light-color) !important;
    background-color: var(--p4-action-button-light-bg);
    border: var(--p4-action-button-light-border);
}

.p4-action-button-light:hover {
    color : var(--p4-action-button-light-hover-color) !important;
}

.p4-action-link-text {
    text-decoration: none;
    display : block;
    color : var(--p4-action-text-link-color);
    margin : var(--p4-action-text-link-margin);
    font-weight: 600;
}

.p4-action-link {
    text-decoration: none;
    display : block;
    color : var(--p4-action-link-color);
    margin : var(--p4-action-link-margin);
    font-weight: 600;
}

.p4-action-link:hover {
    color : var(--p4-action-link-hover-color);
}

.p4-action-link::after {
    content : '';
    background-image:  url(../images/action_arrow.svg);
  /* width: 50%; */
  height: 1.1em;
  width: 1.1em;

  display: inline-block;
  background-size : 1.1em;
    margin-left : 0.5rem;
    top : 0.25rem;
    position: relative;
    padding : 0.2rem;

}


footer {
    background-color: var(--footer-bg-color);
    color : var(--header-text-color);
    padding: var(--footer-padding);
    width : 100%;   
        
}

#p4-footer-logo {
    width : var(--footer-logo-width);
    margin : var(--footer-logo-margin);
}

.p4-action-email {
    text-decoration: none;
    color : var(--p4-action-email-color) ;
    font-weight: 500;
    margin-bottom: 1em;
    display: block;
}

.p4-icon {
    max-height : 2rem;
    margin : 0 1rem 0 0;
}

#p4-post-footer {
    background-color : var(--p4-body-color);
    padding : 1rem 2rem;
    margin-top : 2rem;
    color: var(--p4-font-color);
}
#p4-post-footer a {
    color : var(--p4-font-color);
    text-decoration: none;
}

footer a {
    color: var(--footer-link-color);

    font-weight: var(--footer-link-weight);

    text-decoration: none;

    font-size : var(--footer-link-size);

}

footer .p4-generic-text-area a {
    color: var(--footer-link-color) !important;
}

footer .p4-generic-text-area a:hover {
    color: var(--footer-link-color-hover) !important;
}
footer a:hover {
    color: var(--footer-link-color-hover);
}

footer p {
    margin-bottom: 0.5rem;
}

footer nav ul {
    padding-left : 0px;
    display : block;
}
footer .nav-item {
    margin-bottom: 0.5rem;
    display: block;
}

footer .p4-pill {
    padding: initial;
}

.p4-image-hero {
    margin : 0px;    
    text-align: var(--p4-image-hero-align);
    color : var(--p4-image-hero-color);
    background-color: var(--p4-image-hero-bg-color);
}

.p4-image-hero-title {
    color : var(--p4-image-hero-headline-color);    
}
.p4-image-hero-body {
    color : var(--p4-image-hero-body-color);    
}

.p4-image-hero .container-fluid {
    padding : 0rem 5rem;
}

@media (max-width: 550px) {
    
    .p4-image-hero .container-fluid {
        padding : 0rem 2rem;
    }

}

.p4-image-hero-image-holder {
    text-align: center;
}

.p4-image-hero-image {
	width: auto;
	aspect-ratio: 1 / 1;
	height: auto;
	max-height: 600px;
    max-width: 100%;
}

.p4-image-hero-2-image {
	width: auto;
	height: auto;
    max-width: 100%;
}


.p4-search-button {
    visibility: hidden;
}
.p4-search-button::before {
    visibility: visible;
  content: url(../images/search_icon.svg);
  width: 200px;
  height: 200px;
}

.p4-image-hero-2 {
    margin-bottom: -15rem;
}

.p4-image-hero-2-spacer {
    height : 15rem;
    background-color: var(--color-off-white);
}

@media (max-width: 800px) {
    .p4-image-hero-2 {
        margin-bottom: 0;
        padding-bottom: 2rem;
    }

    .p4-image-hero-2-spacer {
        height : 0;
        background-color: var(--color-off-white);
    }
}

h2 {
    font-size : var(--p4-h2-size);
    margin : var(--p4-h2-margin);    
}

h3 {
    font-size : var(--p4-h3-size);
    margin : var(--p4-h3-margin);
    color : var(--p4-h3-color);
}

.p4-generic-text-area li {
    margin-bottom: 0.8rem;
}

.p4-generic-text-area ul {
    margin-bottom: 0.8rem;
    margin-top : 0.8rem;
}

.p4-generic-text-area a {
    color : var(--color-3);
}

.p4-generic-text-area blockquote {
	margin: 2rem 6rem;
	background-color: var(--color-2);
	border-left: 0.8rem solid var(--color-6);
	padding: 1.5rem 6rem 0.5rem 6rem;
	color: var(--color-white);
	border-radius: var(--p4-blockquote-radius);
}

@media (max-width: 800px) {
.p4-generic-text-area blockquote {
    margin: 2rem 0rem;
    /* margin-bottom : 1rem !important; */
    padding: 1rem;;
}
}

.p4-aspect-auto {
    aspect-ratio: auto;
}

.p4-aspect-square {
    aspect-ratio: 1 / 1;
}

.p4-aspect-16x9 {
    aspect-ratio: 16 / 9;
}

.p4-basic-image {
    width:100%;
    /* height:100%; */
}

.p4-object-fit-cover {
    object-fit: cover;
}

.p4-object-fit-contain {
    object-fit: contain;
}

.p4-object-fit-fill {
    object-fit: fill;
}

.p4-object-position-top {
    object-position: center top;
}

.p4-object-position-center {
    object-position: center center;
}

.p4-object-position-bottom {
    object-position: center bottom;
}

.p4-image-rounded-small {
    border-radius: var(--p4-image-corner-radius-small);
}

.p4-image-rounded-large {
    border-radius: var(--p4-image-corner-radius-large);
}

.muted {
    color : var(--p4-font-muted);
}

.p4-news-date-pill {
	color: var(--color-2);
	background-color: var(--color-7);
	display: inline-block;
	padding: 0.3rem 1rem;
	border-radius: 0.4rem;
    margin-bottom:0.6rem;
}

.p4-event-card {
    background-color: var(--color-white);

    flex: 1 0 0;
	position: relative;
	display: flex;
	flex-direction: column;
    padding: 1rem 2rem;
    margin-top: 1rem;
    border-radius: var(--p4-card-border-radius);
    margin-left : 1rem;
    margin-right: 1rem;
    cursor: pointer;

}

.p4-event-card-date {
    background-color: var(--color-2);
    color : var(--color-white);
    text-align: center;
    border-radius: var(--p4-card-border-radius);
    min-height : 10rem;
}

.p4-event-card-date h2 {
    font-size: var(--p4-event-card-date-size);
    margin: var(--p4-event-card-date-margin);
}

.p4-event-card p {
    margin : 0;
}

.p4-event-card-body h2 {
  font-size: var(--p4-event-card-title-size);
  color: var(--p4-event-card-title-color);
  margin: var(--p4-event-card-title-margin);

}

.p4-event-card-action div {
 /* min-height: 100px; */
 min-width: 100px;
}

@media (max-width: 992px) {
    .p4-event-card {
        margin-left : 0;
        margin-right : 0;        
    }
    .p4-event-card-date {
        min-height: 5rem;
        margin-bottom: 1rem;
    }
    .p4-event-card-action {
        justify-content: center !important;
    }
    .p4-event-card-body {
        margin-top : 1rem;
        margin-bottom : 1rem;
    }
}